// Generated with pvdgen v1.8.0

goog.provide('morimekta.providence.util.putil');

(function(){
'use strict';

var _putil = morimekta.providence.util.putil;

/**
 * Dummy struct that is just empty. Can be used to &quot;ignore&quot; everything.
 *
 * @param {Object|string=} opt_json Optional json object or serialized string.
 * @constructor
 */
_putil.Empty = function(opt_json) {

    if ('string' === typeof(opt_json)) {
        opt_json = JSON.parse(opt_json);
    }
    if ('object' === typeof(opt_json)) {
        for (var key in opt_json) {
            if (opt_json.hasOwnProperty(key)) {
                switch (key) {
                    default:
                        break;
                }
            }
        }
    } else if ('undefined' !== typeof(opt_json)){
        throw 'Bad json input type: ' + typeof(opt_json);
    }
};

/**
 * Make a JSON compatible object representation of the message.
 *
 * @param {boolean=} opt_named Optional use named json.
 * @return {Object} Json representation.
 */
_putil.Empty.prototype.toJson = function(opt_named) {
    var obj = {};
    if (opt_named) {
    } else {
    }
    return obj;
};

/**
 * Make a JSON string representation of the message.
 *
 * @param {boolean=} opt_named Optional use named json.
 * @return {string} The stringified json.
 */
_putil.Empty.prototype.toJsonString = function(opt_named) {
    return JSON.stringify(this.toJson(opt_named));
};

/**
 * String representation of the message.
 *
 * @return {string} Message as string.
 */
_putil.Empty.prototype.toString = function() {
    return 'Empty' + JSON.stringify(this.toJson(true));
};

/**
 * A message containing anything.
 *
 * @param {Object|string=} opt_json Optional json object or serialized string.
 * @constructor
 */
_putil.Any = function(opt_json) {
    /**
     * @type {string}
     * @private
     */
    this._type = "";
    /**
     * @type {string?}
     * @private
     */
    this._media_type = null;
    /**
     * @type {string?}
     * @private
     */
    this._data = null;
    /**
     * @type {string?}
     * @private
     */
    this._text = null;

    if ('string' === typeof(opt_json)) {
        opt_json = JSON.parse(opt_json);
    }
    if ('object' === typeof(opt_json)) {
        for (var key in opt_json) {
            if (opt_json.hasOwnProperty(key)) {
                switch (key) {
                    case '1':
                    case 'type':
                        this._type = String(opt_json[key]);
                        break;
                    case '2':
                    case 'media_type':
                        this._media_type = String(opt_json[key]);
                        break;
                    case '4':
                    case 'data':
                        this._data = String(opt_json[key]);
                        break;
                    case '5':
                    case 'text':
                        this._text = String(opt_json[key]);
                        break;
                    default:
                        break;
                }
            }
        }
    } else if ('undefined' !== typeof(opt_json)){
        throw 'Bad json input type: ' + typeof(opt_json);
    }
};

/**
 * The thrift / providence program + message type name. This should refer to a
 * message type. Enums will need to be wrapped in a message to be contained.
 *
 * @return {string} The field value
 */
_putil.Any.prototype.getType = function() {
    return this._type;
};

/**
 * The thrift / providence program + message type name. This should refer to a
 * message type. Enums will need to be wrapped in a message to be contained.
 *
 * @param {string} value The new field value
 */
_putil.Any.prototype.setType = function(value) {
    if (value !== null && value !== undefined) {
        this._type = String(value);
    } else {
        this._type = "";
    }
};

/**
 * The media type used for encoding. There will need to exist a serializer
 * registered for this. If the media type is not set, it is assumed to be
 * &#39;application/vnd.apache.thrift.binary&#39;, the default thrift serialization.
 *
 * @return {string?} The field value
 */
_putil.Any.prototype.getMediaType = function() {
    if (this._media_type === null) {
        return "application/vnd.apache.thrift.binary";
    } else {
        return this._media_type;
    }
};

/**
 * The media type used for encoding. There will need to exist a serializer
 * registered for this. If the media type is not set, it is assumed to be
 * &#39;application/vnd.apache.thrift.binary&#39;, the default thrift serialization.
 *
 * @param {string?} value The new field value
 */
_putil.Any.prototype.setMediaType = function(value) {
    if (value !== null && value !== undefined) {
        this._media_type = String(value);
    } else {
        this._media_type = null;
    }
};

/**
 * The actual content binary data.
 *
 * @return {string?} The field value
 */
_putil.Any.prototype.getData = function() {
    if (this._data === null) {
        return "";
    } else {
        return this._data;
    }
};

/**
 * The actual content binary data.
 *
 * @param {string?} value The new field value
 */
_putil.Any.prototype.setData = function(value) {
    if (value !== null && value !== undefined) {
        this._data = String(value);
    } else {
        this._data = null;
    }
};

/**
 * Optional string encoded content for non-binary media types. If this is filled
 * in, then the &#39;bin&#39; field is not needed.
 *
 * @return {string?} The field value
 */
_putil.Any.prototype.getText = function() {
    if (this._text === null) {
        return "";
    } else {
        return this._text;
    }
};

/**
 * Optional string encoded content for non-binary media types. If this is filled
 * in, then the &#39;bin&#39; field is not needed.
 *
 * @param {string?} value The new field value
 */
_putil.Any.prototype.setText = function(value) {
    if (value !== null && value !== undefined) {
        this._text = String(value);
    } else {
        this._text = null;
    }
};

/**
 * Make a JSON compatible object representation of the message.
 *
 * @param {boolean=} opt_named Optional use named json.
 * @return {Object} Json representation.
 */
_putil.Any.prototype.toJson = function(opt_named) {
    var obj = {};
    if (opt_named) {
        obj['type'] = this._type;
        if (this._media_type !== null) {
            obj['media_type'] = this._media_type;
        }
        if (this._data !== null) {
            obj['data'] = this._data;
        }
        if (this._text !== null) {
            obj['text'] = this._text;
        }
    } else {
        obj['1'] = this._type;
        if (this._media_type !== null) {
            obj['2'] = this._media_type;
        }
        if (this._data !== null) {
            obj['4'] = this._data;
        }
        if (this._text !== null) {
            obj['5'] = this._text;
        }
    }
    return obj;
};

/**
 * Make a JSON string representation of the message.
 *
 * @param {boolean=} opt_named Optional use named json.
 * @return {string} The stringified json.
 */
_putil.Any.prototype.toJsonString = function(opt_named) {
    return JSON.stringify(this.toJson(opt_named));
};

/**
 * String representation of the message.
 *
 * @return {string} Message as string.
 */
_putil.Any.prototype.toString = function() {
    return 'Any' + JSON.stringify(this.toJson(true));
};
})();
