// Generated with pvdgen v1.8.0

export declare class Empty {

    /**
     * Dummy struct that is just empty. Can be used to &quot;ignore&quot; everything.
     */
    constructor(opt_json?:any);

    /**
     * Make a JSON compatible object representation of the message.
     *
     * @param {boolean=} opt_named Optional use named json.
     * @return {Object} Json representation.
     */
    toJson(opt_named?:boolean): any;

    /**
     * Make a JSON string representation of the message.
     *
     * @param {boolean=} opt_named Optional use named json.
     * @return {string} The stringified json.
     */
    toJsonString(opt_named?:boolean):string;

    /**
     * String representation of the message.
     *
     * @return {string} Message as string.
     */
    toString():string;

}
export declare class Any {
    private _type: string;
    private _media_type: string;
    private _data: string;
    private _text: string;

    /**
     * A message containing anything.
     */
    constructor(opt_json?:any);

    /**
     * The thrift / providence program + message type name. This should refer to a
     * message type. Enums will need to be wrapped in a message to be contained.
     */
    getType():string;

    /**
     * The thrift / providence program + message type name. This should refer to a
     * message type. Enums will need to be wrapped in a message to be contained.
     */
    setType(value?:string):void;

    /**
     * The media type used for encoding. There will need to exist a serializer
     * registered for this. If the media type is not set, it is assumed to be
     * &#39;application/vnd.apache.thrift.binary&#39;, the default thrift serialization.
     */
    getMediaType():string;

    /**
     * The media type used for encoding. There will need to exist a serializer
     * registered for this. If the media type is not set, it is assumed to be
     * &#39;application/vnd.apache.thrift.binary&#39;, the default thrift serialization.
     */
    setMediaType(value?:string):void;

    /**
     * The actual content binary data.
     */
    getData():string;

    /**
     * The actual content binary data.
     */
    setData(value?:string):void;

    /**
     * Optional string encoded content for non-binary media types. If this is filled
     * in, then the &#39;bin&#39; field is not needed.
     */
    getText():string;

    /**
     * Optional string encoded content for non-binary media types. If this is filled
     * in, then the &#39;bin&#39; field is not needed.
     */
    setText(value?:string):void;

    /**
     * Make a JSON compatible object representation of the message.
     *
     * @param {boolean=} opt_named Optional use named json.
     * @return {Object} Json representation.
     */
    toJson(opt_named?:boolean): any;

    /**
     * Make a JSON string representation of the message.
     *
     * @param {boolean=} opt_named Optional use named json.
     * @return {string} The stringified json.
     */
    toJsonString(opt_named?:boolean):string;

    /**
     * String representation of the message.
     *
     * @return {string} Message as string.
     */
    toString():string;

}